body {
  color: #fff;
  background-color: #253231;
  font-family: "Lato";
  margin: 0;
}
.container {
  
  max-width: 1248px;
  padding: 0;
}
/* HEADER */
.header {
  background: #1b3836;
  width: 100%;
  height: 74px;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  display: flex;
  justify-content: center; /* center content horizontally */
  align-items: center;
}

.nav-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: 1248px;
  margin: 0 auto;
  padding: 0 0px;
  box-sizing: border-box;
}

/* LEFT */
.left-section {
  display: flex;
  /* align-items: center; */
  gap: 12px;
}

.logo img {
  width: 80px;
  height: 42px;
}

/* HAMBURGER */
.menu-checkbox {
  display: none;
}
.hamburger {
  cursor: pointer;
  display: flex;
}

/* RIGHT BUTTONS */
.right-section {
  display: flex;
  gap: 12px;
}

.btn {
  text-decoration: none !important;
  padding: 9px 16px !important;
  font-weight: 600 !important;
  border-radius: 21px !important;
  font-size: 14px !important;
  display: inline-block !important;
}

.btn-login {
  background: #ffd36c !important;
  color: #1b2827 !important;
}

.btn-reg {
  background: #ff9533 !important;
  color: #1b2827 !important;
}

/* MAIN CONTENT WRAPPER */
.container-center {
  max-width: 1248px;
  margin: 0 auto;
  padding: 0 16px;
  box-sizing: border-box;
}
/* CATEGORY MENU */
.main-menu {
  width: 100%;
  background: #1a2640;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 60px;
  margin-top: 74px;
}

.main-menu-content {
  width: 180px;
  height: 48px;
  border-radius: 12px;
  border: 1px solid #10192d;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2px;
}

.main-menu-content li {
  list-style: none;
  flex: 1;
  text-align: center;
}

.main-menu-content li a {
  display: block;
  font-size: 16px;
  color: #fff;
  text-decoration: none;
  padding: 12px 0;
  border-radius: 10px;
  transition: 0.3s;
}

.main-menu-content li a:hover {
  background: rgba(255, 255, 255, 0.2);
}

/* GAME SECTION */
.game-section {
  display: flex;
  justify-content: center; /* centre align all cards */
  flex-wrap: wrap;
  gap: 16px;
  padding: 0px 0;
}

.game-card {
  width: 180px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 12px;
  outline: 1px solid #11193d;
  outline-offset: -1px;
  background: linear-gradient(
      90deg,
      rgba(48, 37, 98, 0) 0%,
      rgba(83, 82, 237, 0.25) 100%
    ),
    #10192d;
  cursor: pointer;
  transition: 0.3s;
}

.game-card:hover {
  transform: scale(1.05);
  outline-color: #32446a;
}

.game-content {
  display: flex;
  align-items: center;
  gap: 8px;
}

.icon {
  width: 32px;
  height: 32px;
}

.label {
  color: white;
  font-size: 19px;
  /* font-family: "Digitalt", sans-serif; */
  font-weight: 900;
  line-height: 24px;
}

/* SLIDER */
.slider {
  /* max-width: 1243px; */
  margin: auto;
  padding-top: 90px;
}

.w-100 {
  border-radius: 10px;
  height: 344px;
}

.carousel-caption {
  position: absolute;
  top: 50%;
  left: 60px;
  transform: translateY(-50%); /* perfect centering */
  text-align: left;
  max-width: 60%;
}

.carousel-caption a {
  background-color: rgb(255, 211, 108);
  border-radius: 24px;
  padding: 10px 16px;
  text-decoration: none;
  color: #1b2827;
  display: inline-block;
  margin-top: 10px;
}

.slider-title {
  font-size: 30px;
  font-weight: 900;
  margin-bottom: 5px;
}

.slider-subtitle {
  font-size: 18px;
}
.carousel-indicators [data-bs-target] {
  border-radius: 8px;
  border: 2px solid #32446a;
  cursor: pointer;
  height: 6px;
  width: 36px;
  background-color: transparent;
  opacity: 1 !important;
}

.carousel-indicators .active {
  background-color: #32446a;
}
/* GAME CONTENT */
.categories-head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* max-width: 1248px; */
  margin: 20px auto;
  /* padding: 0 16px; */
}

.categories-title {
  display: flex;
  align-items: center;
}

.categories-title img {
  height: 32px;
  object-fit: cover;
  margin-right: 10px;
}

.categories-title h3 {
  margin: 0;
  font-size: 26px;
  font-weight: 600;
  line-height: 40px;
}

.categories-nav {
  display: flex;
  align-items: center;
  gap: 4px;
}

.categories-nav a {
  font-size: 15px;
  color: #bbb;
  text-decoration: none;
  padding: 0 6px;
}

.swipe-icon {
  width: 32px;
  height: 32px;
  /* padding: 5px; */
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #2f615d;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  transition: 0.2s;
}

.rotate {
  transform: rotate(180deg);
}
/* CONTENT GAMES */
.content-games {
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
  gap: 15px;
  padding-left: 0;
  margin-left: 0;
}

.content-games-item {
  position: relative;
  flex: 0 0 194px;
}

.content-games-overlay {
  align-items: center;
  background-color: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  position: absolute;
  overflow: hidden;
  opacity: 0;
  top: 0;
  transition: 0.2s ease-in-out;
  left: 0;
  visibility: hidden;
  height: 194px;
  width: 100%;
  border-radius: 10px;
}

.content-games-overlay a.lazyloaded {
  background-image: url(./images/play.svg);
}

.content-games-item:hover .content-games-overlay {
  opacity: 1;
  visibility: visible;
}

.content-games-overlay a {
  display: block;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  height: 50%;
  width: 50%;
}
.lazyloaded {
  text-decoration: none !important;
}

.content-games-item p {
  text-overflow: ellipsis;
  text-align: center;
  margin-top: 8px;
  color: #fff;
}

.content-games-item img {
  border-radius: 10px;
}
.game-section h3 {
  font-size: 26px;
  font-weight: 700;
  line-height: 40px;
  max-width: 1248px;
  margin: auto auto 16px;
}

.articles-section h1 {
  font-family: Lato;
  font-weight: 900;
  font-style: Black;
  font-size: 22px;
  line-height: 32px;
  letter-spacing: 0%;
  vertical-align: middle;
  color: #fff;
}

.articles-section h2 {
  font-family: Lato;
  font-weight: 900;
  font-size: 20px;
  line-height: 30px;
  color: #fff;
}

.articles-section h3 {
  font-family: Lato;
  font-weight: 700;
  font-size: 18px;
  line-height: 28px;
  color: #fff;
}

.articles-section p,
.articles-section li {
  font-family: Lato;
  font-weight: 500;
  font-size: 16px;
  line-height: 26px;
  color: #ddd;
}

.articles-section {
  padding-top: 10px ;
}

table {
  width: 100%;
  border-spacing: 0;
  border-collapse: separate;
  border: 1px solid #3c7b77;
  border-radius: 8px;
  overflow: hidden;
  font: 400 14px / 20px Roboto, "Helvetica Neue", sans-serif;
  color: #ffffffde;
  text-align: center; /* Ellame center */
}

/* Cells */
table th,
table td {
  padding: 12px;
  border: 1px solid #3c7b77; /* Inner border correct ah theriyum */
  text-align: center; /* Text center */
}

/* Header */
table th {
  background-color: #2F615D;
  font-weight: 600;
}

/* Corner Radius Fix */
table tr:first-child th:first-child {
  border-top-left-radius: 8px;
}
table tr:first-child th:last-child {
  border-top-right-radius: 8px;
}
table tr:last-child td:first-child {
  border-bottom-left-radius: 8px;
}
table tr:last-child td:last-child {
  border-bottom-right-radius: 8px;
}
.articles-section a {
  color: #ffda85;
  text-decoration: none;
}
.articles-section p a {
  color: #ffda85;
  text-decoration: none;
}
.articles-section ul li {
  padding: 0 0 5px;
}

.footer-container {
  display: flex;
      margin-top: 50px;
  justify-content: center;
  background-color: #1b2827;
  padding: 40px 0px;
  

}

/* Footer Main */
.footer {
   
  max-width: 1248px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 32px;
  color: #adbdde;
  font-family: "Lato", sans-serif;
  font-size: 12px;
  line-height: 18px;
}

/* Payment Options */
.payment-options {
  display: flex;
  flex-direction: column;
  max-width: 1248px;
  margin: 0 auto;
  gap: 12px;
}

.payment-options h5 {
  text-align: left; /* Heading left aligned */
  font-weight: 700;
  font-size: 16px;
  color: #dadada;
}

.logo-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center; /* Logos center aligned */
  grid-gap: 24px 30px;
}

.logo-list img {
  height: 32px;
  opacity: 0.75;
  object-fit: contain;
}

/* Footer Middle Text */
.footer-middle p {
  text-align: center;
  max-width: 1200px;
  margin: 0 auto;
  margin-top: 16px;
}

/* Footer Bottom Logos */
.footer-bottom {
  display: flex;
  justify-content: center; /* Center the three logos */
}

.footer-logos img {
  margin: 0 10px;
  height: 38px;
  object-fit: contain;
}

/* ===== GAME SECTION ===== */
.game-swipper-content {
  overflow-x: hidden;
}

.game-swipper-width {
  display: block;
  width: 7350px;
  margin: 0 auto;
  overflow: hidden;
}

.category-name-container {
  flex-direction: row;
  box-sizing: border-box;
  display: flex;
  place-content: center;
  align-items: center;
  margin-bottom: 10px;
  justify-content: space-between;
}

.category-title {
  place-content: center;
  align-items: center;
  flex-direction: row;
  box-sizing: border-box;
  display: flex;
  padding: 0;
  text-align: left;
}

.category-title h2 {
  text-align: left;
  font-weight: 400;
  font-size: 26px;
  line-height: 34px;
  letter-spacing: 0.75px;
  color: #fff;
  margin-bottom: 0;
}

.category-title img {
  margin-right: 8px;
  margin-bottom: 2px;
  height: 34px;
  width: 34px;
}

.swiper-btn {
  display: flex;
  align-items: center;
}

.button-all-games {
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 18px;
  letter-spacing: 0.5px;
  color: #ffffff;
  padding: 0 6px;
  text-decoration: none;
}

.button-all-games:hover {
  color: #ffffff;
}

img.rotate-180 {
  transform: rotate(180deg);
}

.swiper-btn img {
  margin-left: 4px;
  cursor: pointer;
}

.icon-button.medium {
  border-radius: 10px;
  width: 33px;
  height: 33px;
  border: 2px solid #2f615d;
  padding: 2.53px;
  background-color: #2f615d;
}

.icon-button:hover {
  background: #439d97;
  border-color: #439d97 !important;
}

/* ===== GAMES ITEM GRID ===== */
.game-category-swipper {
  width: auto;
  display: flex;
  align-items: flex-start;
  position: relative;
  overflow: hidden;
  user-select: none;
}

.content-games-item {
  position: relative;
  flex: 0 0 202px;
  margin-right: 8px;
}

.content-games-item img {
  border-radius: 10px;
}

.game-image {
  width: 194px;
  height: 194px;
  max-width: 194px;
  max-height: 194px;
}

.content-games-item p {
  text-overflow: ellipsis;
  text-align: center;
  margin-top: 8px;
  color: #fff;
}

.lazyloaded {
  text-decoration: none !important;
}

/* ===== OVERLAY EFFECT ===== */
.content-games-overlay {
  align-items: center;
  background-color: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  position: absolute;
  overflow: hidden;
  opacity: 0;
  top: 0;
  transition: 0.2s ease-in-out;
  left: 0;
  visibility: hidden;

  border-radius: 10px;
  /* margin-left: 4px; */
}

.content-games-item:hover .content-games-overlay {
  opacity: 1;
  visibility: visible;
}
#menu__toggle {
  /* opacity: 0; */
  display: none;
}

#menu__toggle:checked + .menu__btn > span {
  transform: rotate(45deg);
}

#menu__toggle:checked + .menu__btn > span::before {
  top: 0;
  transform: rotate(0deg);
}

#menu__toggle:checked + .menu__btn > span::after {
  top: 0;
  transform: rotate(90deg);
}

#menu__toggle:checked ~ .menu__box {
  left: 0 !important;
}

.hamburger-menu {
  display: flex;
  align-items: center;
}

.menu__btn {
  position: relative;
  /* top: 20px; */
  left: 0px;
  /* width: 26px;
      height: 26px; */
  cursor: pointer;
  z-index: 1;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.close-icon {
  display: none;
}

#menu__toggle:checked + .menu__btn .open-icon {
  display: none;
}

#menu__toggle:checked + .menu__btn .close-icon {
  display: block;
  background: #2f615d;
  border-radius: 10px;
  padding: 5px;
}

.menu__btn > span,
.menu__btn > span::before,
.menu__btn > span::after {
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #616161;
  transition-duration: 0.25s;
}

.menu__btn > span::before {
  content: "";
  top: -8px;
}

.menu__btn > span::after {
  content: "";
  top: 8px;
}

.menu__box {
  display: block;
  position: fixed;
  top: 0;
  left: -100%;
  width: 360px;
  height: 100%;
  margin: 0;
  padding: 150px 0;
  list-style: none;
  background-color: #1b2827;
  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.4);
  transition-duration: 0.25s;
}

.menu__item img {
  width: 30px;
  height: 30px;
  margin-right: 16px;
}
.menu__item {
  display: block;
  padding: 12px 24px;
  color: #fff;
  font-family: "Roboto", sans-serif;
  font-size: 14px;
  font-weight: 700;
  text-decoration: none;
  transition-duration: 0.25s;
}

.menu__item:hover {
  color: #fff;
  background-color: #2a3150;
}

.overlay {
  position: fixed;
  top: 0;
  /* left: 0; */
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.45);
  /* change opacity/color as needed */
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.25s ease;
}

/* Slide menu open */
#menu__toggle:checked ~ .menu__box {
  left: 0;
}

/* show overlay when menu is open */
#menu__toggle:checked ~ .overlay {
  transition: opacity 2s ease;
  opacity: 1;
  pointer-events: auto;
  width: 79.5%;
  right: 0;
}

.menu__items.logo {
  position: absolute;
  top: 70px;
  left: 37%;
}

.menu-button {
  display: flex;
  flex-direction: column;
  padding: 0 20px;
  gap: 20px;
  margin-bottom: 45px;
}
li:first-child {
  border-radius: 12px;
}
.menu-list {
  background: #1b3836;
  margin: 0 20px;
  border-radius: 12px;
}
/* =====  RESPONSIVE FIX ===== */

/* Tablet view (below 992px) */
@media (max-width: 992px) {
  .game-section {
    display: none;
  }
}

@media (min-width: 768px) {
  .container {
    /* padding: 20px 0px; */
    padding-top: 20px;
  }
  .nav-container {
    padding: 0px 10px;
    box-sizing: border-box;
  }
}
/* Mobile view (below 768px) */
@media (max-width: 768px) {
  .menu__box {
    width: 288px !important;
  }
  .container {
    max-width: 100%;
    margin: 0 auto;
    padding: 20px 10px;
    /* padding-bottom: 30px; */
  }

  .game-section {
    display: none;
  }
  .nav-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 1248px;
    margin: 0 auto;
    padding: 0px 10px;
    box-sizing: border-box;
  }
  .carousel-caption {
    position: absolute;
    top: 33%;
    left: 60px;
    transform: translateY(-50%);
    text-align: left;
    max-width: 50%;
  }
  .carousel-item img {
    height: 200px;
  }
  .slider-title {
    font-size: 17px;
    font-weight: 900;
    margin-bottom: 5px;
  }
  .slider-subtitle {
    font-size: 13px;
  }
  .slider {
    /* max-width: 1243px; */
    margin: auto;
    padding-top: 60px;
  }
}

/* Extra small screens (below 480px) */
@media (max-width: 460px) {
  .footer-logos img {
    margin: 0 10px;
    height: 32px;
    object-fit: contain;
}
  .container {
    
    /* padding-bottom: 30px; */
  }
  .nav-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 1248px;
    margin: 0 auto;
    /* padding: 0 20px; */
    padding: 9px 10px 9px 8px;
    box-sizing: border-box;
  }

  .logo img {
    width: 60px;
    height: 28px;
  }

  .right-section .btn-reg {
    display: none !important; /* Hide orange button */
  }

  .content-games-item {
    position: relative;
    flex: 0 0 119px;
    margin-right: 8px;
  }
  .content-games-item p {
    text-overflow: ellipsis;
    text-align: center;
    margin-top: 8px;
    font-size: 12px;
    color: #fff;
  }
  .main-menu {
    display: none;
  }
  .game-section {
    display: none;
  }
  .carousel-item img {
    height: 200px;
  }
  .content-games-item {
    height: 160px;
    width: 119px;
  }
  .game-image {
    height: 119px;
    width: 119px;
  }
  .p {
    font-size: 12px;
  }
  .content-games-overlay {
    height: 110px;
    width: 119px;
  }
  .carousel-item img {
    width: 100%;
    /* height: 180px; */
    object-fit: cover;
  }

  .carousel-caption {
    left: 16px;
    top: 45%;
    transform: translateY(-50%);
    max-width: 90%;
  }
  .slider {
    /* max-width: 1243px; */
    margin: auto;
    padding-top: 65px;
  }
  .slider-title {
    font-size: 16px;
    line-height: 22px;
  }

  .slider-subtitle {
    font-size: 12px;
    line-height: 18px;
  }

  .carousel-caption a {
    font-size: 11px;
    padding: 5px 9px;
  }
  .carousel-caption a {
    background-color: #ffd36c ;
    border-radius: 20px;
    padding: 5px 12px;
    text-decoration: none;
    color: #1b2827;
    display: inline-block;
    margin-top: 10px;
    font-size: 11px;
  }
  .categories-title h3 {
    margin: 0;
    font-size: 16px;
    font-weight: 600;
    line-height: 40px;
  }
  .categories-nav a {
    font-size: 12px;
    color: #bbb;
    text-decoration: none;
    padding: 0 6px;
  }
  .categories-title img {
    height: 23px;
    object-fit: cover;
    margin-right: 10px;
  }
}
